import { world,InputButton,ButtonState } from "@minecraft/server";
import { CloudSocks } from "../items/artifacts/socks";


world.afterEvents.playerButtonInput.subscribe(({button,player,newButtonState}) => {
    if(newButtonState == ButtonState.Pressed && player.hasTag('cloud_socks') && button == InputButton.Jump)
    {
        CloudSocks(player)
    }
})